Change Chat Name

Changes the name of an existing chat.

Headers
  • Authorization
    Type: string
    required

    JWT Bearer token. Format: Bearer <JWT>

Body·
required
application/json
  • chatId
    Type: stringFormat: uuid
    required
  • newChatName
    Type: string
    required
Responses
  • 200

    Chat name changed successfully.

  • 400

    User not in chat or chat doesn't exist.

  • application/json
Request Example for post/api/chat/changeName
curl https://demo.api.whispchat.com/api/chat/changeName \
  --request POST \
  --header 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9...' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "chatId": "550e8400-e29b-41d4-a716-446655440000",
  "newChatName": "Updated Name"
}'
No Body